/* eslint-disable no-else-return */
import React, { Component } from 'react';
import { NavLink } from 'react-router-dom';
import { shell, remote } from 'electron';
import PropTypes from 'prop-types';
import mainLogo from '../assets/Dixie.png';
import reportIssueLogo from '../assets/report_issue.png';

const appVersion = `v${remote.app.getVersion()}`;
class NavBar extends Component {
  highlightSelectedTab(tabId) {
    if (this.props.selectedSection === tabId) {
      return {
        display: 'inline',
        paddingBottom: '10px',
        borderBottom: '3px solid #FF8D2B',
        marginLeft: '5vw'
      };
    } else {
      return {
        display: 'inline',
        marginLeft: '5vw'
      };
    }
  }

  render() {
    return (
      <nav className="navbar navbar-fixed-top">
        <a className="navbar-brand dixieLogo" href="#">
          <img src={mainLogo} alt="Logo" style={{ width: '70px', height: '70px' }} />
        </a>
        <span className="appVersion">{appVersion}</span>
        <ul style={{ padding: '20px' }} className="nav navbar-nav pull-right">
          <span className="glyphicon glyphicon-question-sign" title="Help" onClick={() => shell.openExternal('https://dx.appirio.com/docs/')} />
          <a
            href="#"
            title="Report an Issue"
            onClick={() => shell.openExternal('https://docs.google.com/forms/d/e/1FAIpQLSc-gttyPqNGjAgerHRPxYCGTD1XB0oZhC38Odz-SN_CvEprVw/viewform?usp=sf_link')}
            style={{ paddingLeft: '50px' }}
          >
            <img src={reportIssueLogo} alt="Report" style={{ height: '30px' }} />
          </a>
          <NavLink to="/usersettings" className="tabLink username" title="User Info" style={this.highlightSelectedTab('usersettings')}>
            <span className="glyphicon glyphicon-user" />
            {this.props.user.userInfo}
          </NavLink>
        </ul>
        {
          this.props.user.userInfo !== 'Hey, Who are you?' && !this.props.isShowingModal.showErrorModal ?
            <ul style={{ padding: '20px' }} className="nav navbar-nav">
              <div style={this.highlightSelectedTab('projects')}><NavLink to="/" className="tabLink" title="Projects">Projects</NavLink></div>
              <div style={this.highlightSelectedTab('tools')} id="tools"><NavLink to="/tools" className="tabLink" title="Tools">Tools</NavLink></div>
              <div style={this.highlightSelectedTab('services')} id="services"><NavLink to="/services" className="tabLink" title="Services">Services</NavLink></div>
            </ul>
            : ''
        }
      </nav >
    );
  }
}

NavBar.propTypes = {
  selectedSection: PropTypes.string.isRequired,
  user: PropTypes.objectOf(PropTypes.any).isRequired,
  isShowingModal: PropTypes.objectOf(PropTypes.any).isRequired,
};

export default NavBar;
