import React, { Component } from 'react';
import PropTypes from 'prop-types';
import CreateProject from '../containers/create_project';

class NewProject extends Component {
  componentDidMount() {
    this.props.actions.toolStatusChecker(this.props.tools);
  }

  render() {
    let adxStatus = 'Not installed';
    let ezbakeStatus = 'Not installed';
    let nodeStatus = 'Not installed';
    if (Object.keys(this.props.tools).length > 0) {
      adxStatus = this.props.tools.adx;
      ezbakeStatus = this.props.tools.ezbake;
      nodeStatus = this.props.tools.node;
    }
    const adxUpdate = adxStatus.installationstatus === 'Not installed' ||
      adxStatus.installationstatus === 'Installing...' ||
      adxStatus.fulfillMinimumToolVersion;
    const ezbakeUpdate = ezbakeStatus.installationstatus === 'Not installed' ||
      ezbakeStatus.installationstatus === 'Installing...' ||
      ezbakeStatus.fulfillMinimumToolVersion;
    const nodeUpdate = nodeStatus.installationstatus === 'Not installed' ||
      nodeStatus.installationstatus === 'Installing...' ||
      nodeStatus.fulfillMinimumToolVersion;
    const allRequiredToolsNotInstalled = adxUpdate || ezbakeUpdate || nodeUpdate;

    return (
      <div>
        {
          allRequiredToolsNotInstalled ?
            <h3>
              You require to install/update following tool(s) in order to create a new AppirioDX project:
              <ul style={{ padding: '2vw 0 1vw 4vw' }}>
                {nodeUpdate ? <li> Node</li> : ''}
                {ezbakeUpdate ? <li>Appirio Ezbake</li> : ''}
                {adxUpdate ? <li>AppirioDX CLI</li> : ''}
              </ul>
              Kindly install them first.
            </h3> :
            <CreateProject />
        }
      </div>
    );
  }
}

NewProject.propTypes = {
  tools: PropTypes.objectOf(PropTypes.any).isRequired,
  actions: PropTypes.objectOf(PropTypes.any).isRequired,
};

export default NewProject;
