import React, { Component } from 'react';
import PropTypes from 'prop-types';

class ProjectDetail extends Component {
  archiveProject(currentArchiveStatus, projectsList, targetProject) {
    this.props.actions.projectArchive(currentArchiveStatus, projectsList, targetProject);
  }

  render() {
    const project = this.props.selectedProject;
    let projectType;
    if (typeof project.type !== 'object') {
      projectType = [project.type];
    } else {
      projectType = project.type;
    }
    return (
      <div className="container-fluid">
        <table className="table table-hover toolSettingsTable" >
          <tbody>
            <tr>
              <td width="25%" style={{ verticalAlign: 'middle' }}>
                <h3>Name</h3>
              </td>
              <td>
                <p style={{ fontSize: '24px', marginBottom: '24px', marginTop: '24px' }}>{project.name}</p>
              </td>
            </tr>
            <tr>
              <td width="25%" style={{ verticalAlign: 'middle' }}>
                <h3>Path</h3>
              </td>
              <td>
                <p style={{ fontSize: '24px', marginBottom: '24px', marginTop: '24px' }}>{project.path}</p>
              </td>
            </tr>
            <tr>
              <td width="25%" style={{ verticalAlign: 'middle' }}>
                <h3>Created At</h3>
              </td>
              <td>
                <p style={{ fontSize: '24px', marginBottom: '24px', marginTop: '24px' }}>{project.createdDateTime}</p>
              </td>
            </tr>
            <tr>
              <td width="25%" style={{ verticalAlign: 'middle' }}>
                <h3>Types</h3>
              </td>
              <td>
                <p style={{ fontSize: '24px', marginBottom: '24px', marginTop: '24px' }}>{
                  projectType.map((type) => {
                    return <span key={type} className="badge" style={{ marginRight: '1vw' }}>{type.toUpperCase()}</span>
                  })
                }
                </p>
              </td>
            </tr>
            <tr>
              <td colSpan="2">
                <button
                  className="btn btn-primary btn-lg"
                  style={{ marginLeft: '10vw' }}
                  onClick={() => this.archiveProject(project.archived, this.props.projects, project)}
                >
                  {
                    project.archived ? 'Unarchive Project' : 'Archive Project'
                  }
                </button>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    );
  }
}

ProjectDetail.propTypes = {
  selectedProject: PropTypes.objectOf(PropTypes.any).isRequired,
  projects: PropTypes.objectOf(PropTypes.any).isRequired,
  actions: PropTypes.objectOf(PropTypes.any).isRequired,
};

export default ProjectDetail;
