import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { practiceImages } from '@appirio/appirio/lib/tools/tools';

class ProjectsTable extends Component {
  archiveProject(currentArchiveStatus, projectsList, targetProject) {
    this.props.actions.projectArchive(currentArchiveStatus, projectsList, targetProject);
  }

  handleProjectDetailClick(project) {
    this.props.actions.showProjectDetailModal(true, project);
  }

  render() {
    let project = this.props.project;
    let projectType;
    if (typeof project.type !== 'object') {
      projectType = [project.type];
    } else {
      projectType = project.type;
    }
    let practiceImage;
    if ((project.type[0]).toLowerCase() === 'stryker' && project.type.length > 1) {
      practiceImage = practiceImages[(projectType[1]).toLowerCase()];
    } else {
      practiceImage = practiceImages[(projectType[0]).toLowerCase()];
    }
    if (practiceImage === undefined) {
      practiceImage = practiceImages.default;
    }
    return (
      <div className="col-sm-4">
        <div className="card text-center" onClick={() => this.handleProjectDetailClick(project)}>
          <div className="card-header">

          </div>
          <img className="card-img-top img-responsive" src={practiceImage} alt={project.name} />
          <div className="card-body">
            <h3 className="card-title">{project.name}</h3>
            <div className="card-text">
              <div className="project-path">{project.path}</div>
            </div>
          </div>
        </div>
      </div>
    );
  }
}

ProjectsTable.propTypes = {
  actions: PropTypes.objectOf(PropTypes.any).isRequired,
};

export default ProjectsTable;
