import React, { Component } from 'react';

import { Field } from 'redux-form';
import { updateUserSetting } from '../actions/index';

import { Link } from 'react-router-dom';
export default class ReportIssue extends Component {
  constructor(props) {
    super(props);
  }
  handleReportSubmit(formData) {
    this.props.submitIssueToRollbar(formData, null);
  }

  render() {
    const { handleSubmit, pristine, reset, submitting } = this.props
    return (
      <div>
        <Link to="/">back</Link>
        {this.props.userSettings}
        <form onSubmit={handleSubmit((formData) => this.handleReportSubmit(formData))} className="form-horizontal">
          <div className="form-group" >
            <label className="control-label col-sm-offset-2 col-sm-2" >Issue:</label>
            <div className="col-sm-6" >
              <Field
                name="issue"
                component="input"
                type="text"
                size="30"
                placeholder="What issue are you facing?"
              />
            </div>
          </div>
          <div className="form-group" >
            <label className="control-label col-sm-offset-2 col-sm-2" >Issue Description:</label>
            <div className="col-sm-6" >
              <Field
                name="description"
                component="input"
                type="textarea"
                rows="4"
                placeholder="Please describe the issue in detail"
              />
            </div>
          </div>
          <div className="form-group row" >
            <div className="col-sm-offset-4 col-sm-1" ><button type="submit" className="btn btn-primary" disabled={pristine || submitting}>Submit</button></div>
            <div className="col-sm-1"><button type="button" className="btn btn-danger" disabled={pristine || submitting} onClick={reset}>
              Clear Values
        </button>
            </div>
          </div>
        </form>
      </div >
    )
  }
}
