import React, { Component } from 'react';
import ReactModal from 'react-modal';
import PropTypes from 'prop-types';
import { serviceLogos } from '@appirio/appirio/lib/servicesConfig/config_services';

class ServicesSection extends Component {
  componentDidMount() {
    ReactModal.setAppElement('#root');
  }

  handleClick(service) {
    this.props.actions.showServicesModal(true, service);
  }

  handleClose() {
    this.props.actions.showServicesModal(false);
  }

  render() {
    return (
      <div className="col-sm-4">
        <div className="card text-center" onClick={() => this.handleClick(this.props.service)}>
          <div className="card-header">
            <div className="pull-right">
              {this.props.service.token === '' || this.props.service.token === undefined ?
                <span className="glyphicon glyphicon-alert" title="Set configuration settings by clicking on gear icon" /> : ''}
            </div>
          </div>
          <img className="card-img-top img-responsive" src={serviceLogos[this.props.service.name]} alt="bla" />
          <div className="card-body">
            <h3 className="card-title">{this.props.service.name}</h3>
          </div>
        </div>
      </div>
    );
  }
}

ServicesSection.propTypes = {
  actions: PropTypes.objectOf(PropTypes.any).isRequired,
  service: PropTypes.objectOf(PropTypes.any).isRequired,
};

export default ServicesSection;
