import React from 'react';
import PropTypes from 'prop-types';
import ToolSettingRow from '../containers/setting_row';

class ToolSettings extends React.Component {
  render() {
    const config = this.props.tool.platform.configuration;
    return (
      config !== undefined && config.components !== undefined && this.props.tool.installationstatus !== 'Not installed' && this.props.tool.installationstatus != 'Installing...' && !this.props.tool.fulfillMinimumToolVersion ?
        <table className="table table-hover table-striped toolSettingsTable" >
          <thead>
            <tr>
              <th> Setting </th>
              <th> Recommended </th>
              <th> Current </th>
            </tr>
          </thead>
          <tbody>
            <ToolSettingRow toolToDisplaySetting={this.props.tool} />
          </tbody>
        </table> :
        <h1 className="no-settings text-center">No configuration settings to set for this tool</h1>
    );
  }
}

ToolSettings.propTypes = {
  tool: PropTypes.objectOf(PropTypes.any).isRequired,
};

export default ToolSettings;
