import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import App from '../components/app';
import { ToolInstallStart, ToolVersionUpdater, showErrorModal } from '../actions/index';

function mapStateToProps(state) {
  return {
    user: state.user,
    isShowingModal: state.isShowingModal,
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      ToolInstallStart: bindActionCreators(ToolInstallStart, dispatch),
      ToolVersionUpdater: bindActionCreators(ToolVersionUpdater, dispatch),
      showErrorModal: bindActionCreators(showErrorModal, dispatch),
    }
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(App);
