import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import { reduxForm } from 'redux-form';
import CreateProject from '../components/create_project';
import setProjectPath from '../actions/new_project_actions';
import { toolStatusChecker, ToolInstallationDenied, ToolInstallStart, ToolVersionUpdater } from '../actions/index';

function mapStateToProps(state) {
  return {
    tools: state.tools,
    newProject: state.newProject,
    user: state.userSettings
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      setProjectPath: bindActionCreators(setProjectPath, dispatch),
      toolStatusChecker: bindActionCreators(toolStatusChecker, dispatch),
      ToolInstallationDenied: bindActionCreators(ToolInstallationDenied, dispatch),
      ToolInstallStart: bindActionCreators(ToolInstallStart, dispatch),
      ToolVersionUpdater: bindActionCreators(ToolVersionUpdater, dispatch)
    }
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(reduxForm({
  form: 'createProject', // a unique identifier for this form

})(CreateProject));
