import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import ProjectsSection from '../components/project_section';
import { showNewProjectModal, showArchivedProjects, sortProjects, showProjectDetailModal, refreshProjects, tabClick } from '../actions/index';

function mapStateToProps(state) {
  return {
    projects: state.projects,
    isShowingModal: state.isShowingModal
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      showNewProjectModal: bindActionCreators(showNewProjectModal, dispatch),
      showArchivedProjects: bindActionCreators(showArchivedProjects, dispatch),
      sortProjects: bindActionCreators(sortProjects, dispatch),
      showProjectDetailModal: bindActionCreators(showProjectDetailModal, dispatch),
      refreshProjects: bindActionCreators(refreshProjects, dispatch),
      tabClick: bindActionCreators(tabClick, dispatch)
    }
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(ProjectsSection);
