import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import ProjectDetail from '../components/project_detail';
import setSelectedProject from '../actions/project_detail';
import { projectArchive } from '../actions/index';

function mapStateToProps(state) {
  return {
    projects: state.projects
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      setSelectedProject: bindActionCreators(setSelectedProject, dispatch),
      projectArchive: bindActionCreators(projectArchive, dispatch)
    }
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(ProjectDetail);
