import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import { reduxForm } from 'redux-form';
import ServiceConfig from '../components/service_item_settings';
import getAccessToken from '../actions/service-actions';
import { showServicesModal } from '../actions/index';

function mapStateToProps(state) {
  return {
    initialValues: state.isShowingModal
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      getAccessToken: bindActionCreators(getAccessToken, dispatch),
      showServicesModal: bindActionCreators(showServicesModal, dispatch)
    }
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(reduxForm({
  form: 'serviceAccessToken', // a unique identifier for this form
})(ServiceConfig));
