import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import { setConfigSettings, updateSetting, toolUpdateStart } from '../actions/index';
import SettingsRow from '../components/setting_row';

function mapStateToProps(state) {
  return {
    tools: state.tools
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      configSettings: bindActionCreators(setConfigSettings, dispatch),
      updateSettings: bindActionCreators(updateSetting, dispatch),
      toolUpdateStart: bindActionCreators(toolUpdateStart, dispatch)
    }
  };
}
export default connect(mapStateToProps, mapDispatchToProps)(SettingsRow);
