import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import { setConfigSettings, ToolVersionUpdater, ToolInstallStart, ToolInstallationDenied, showModal, toolStatusChecker, showHavingTroubleModal } from '../actions/index';
import ToolTile from '../components/tool-tile';

function mapStateToProps(state) {
  return {
    tools: state.tools,
    isShowingModal: state.isShowingModal
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      ToolVersionUpdater: bindActionCreators(ToolVersionUpdater, dispatch),
      ToolInstallStart: bindActionCreators(ToolInstallStart, dispatch),
      ToolInstallationDenied: bindActionCreators(ToolInstallationDenied, dispatch),
      showModal: bindActionCreators(showModal, dispatch),
      toolStatusChecker: bindActionCreators(toolStatusChecker, dispatch),
      showHavingTroubleModal: bindActionCreators(showHavingTroubleModal, dispatch),
      configSettings: bindActionCreators(setConfigSettings, dispatch)
    }
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(ToolTile);
