import { connect } from 'react-redux';
import { bindActionCreators } from 'redux';
import { toolStatusChecker, showModal, tabClick, showHavingTroubleModal } from '../actions/index';
import ToolsSection from '../components/tools_section';

function mapStateToProps(state) {
  return {
    tools: state.tools,
    isShowingModal: state.isShowingModal
  };
}

function mapDispatchToProps(dispatch) {
  return {
    actions: {
      toolStatusChecker: bindActionCreators(toolStatusChecker, dispatch),
      showModal: bindActionCreators(showModal, dispatch),
      tabClick: bindActionCreators(tabClick, dispatch),
      showHavingTroubleModal: bindActionCreators(showHavingTroubleModal, dispatch)
    }
  };
}
export default connect(mapStateToProps, mapDispatchToProps)(ToolsSection);
