import { bindActionCreators } from 'redux';
import { reduxForm } from 'redux-form';
import { connect } from 'react-redux';
import { updateUserSetting, tabClick } from '../actions/index';
import UserSettings from '../components/user_settings';

function mapStateToProps(state) {
  return {
    initialValues: state.userSettings
  };
}

function mapDispatchToProps(dispatch) {
  return {
    updateUserSetting: bindActionCreators(updateUserSetting, dispatch),
    tabClick: bindActionCreators(tabClick, dispatch)
  };
}

export default connect(mapStateToProps, mapDispatchToProps)(reduxForm({
  form: 'userSettings', // a unique identifier for this form
})(UserSettings));
