import React from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'react-redux';
import { createStore, applyMiddleware } from 'redux';
import reduxPromise from 'redux-promise';
import { remote } from 'electron';
import App from './containers/app';
import reducers from './reducers';
import './app.global.css';
import ErrorBoundary from './components/error-boundary';

process.env.ROLLBAR_ACCESS_TOKEN = '6668216b1945451280c33b7e377422be';
process.env.ADX_APP_VERSION = remote.app.getVersion();

console.log('ADX Desktop App Version :: ', process.env.ADX_APP_VERSION);

const createStoreWithMiddleware = applyMiddleware(reduxPromise)(createStore);
ReactDOM.render(
  <Provider store={createStoreWithMiddleware(reducers)}>
    <ErrorBoundary severity="FATAL">
      <App />
    </ErrorBoundary>
  </Provider>, document.getElementById('root'));
