/* eslint-disable indent */
const initialState = {
  showModal: false,
  showServicesModal: false,
  showNewProjectModal: false,
  showArchivedProjects: true,
  showProjectDetailModal: false,
  showHavingTroubleModal: false,
  showErrorModal: false,
  sortField: 'none'
};

export default function(state = initialState, action) {
  switch (action.type) {
    case 'SHOW_MODAL':
      {
        const currentState = { ...state };
        currentState.showModal = action.payload;
        currentState.tool = action.tool;
        return currentState;
      }
    case 'SHOW_SERVICE_MODAL':
      {
        const serviceState = { ...state };
        serviceState.showServicesModal = action.payload;
        serviceState.service = action.service;
        return serviceState;
      }
    case 'SHOW_NEW_PROJECT_MODAL':
      {
        const projectState = { ...state };
        projectState.showNewProjectModal = action.payload;
        return projectState;
      }
    case 'SHOW_PROJECT_DETAIL_MODAL':
      {
        const selectedProjectState = { ...state };
        selectedProjectState.showProjectDetailModal = action.payload;
        selectedProjectState.project = action.project;
        return selectedProjectState;
      }
    case 'SHOW_HAVING_TROUBLE_MODAL':
      {
        const havingTroubleState = { ...state };
        havingTroubleState.showHavingTroubleModal = action.payload;
        havingTroubleState.tool = action.tool;
        havingTroubleState.showModal = false;
        return havingTroubleState;
      }
    case 'SHOW_ERROR_MODAL':
      {
        const errorState = { ...state };
        errorState.showErrorModal = action.payload;
        errorState.error = action.error;
        return errorState;
      }
    case 'ACCESS_TOKEN':
      {
        const prevState = { ...state };
        let settingValue = action.value;
        if (settingValue.startsWith('@')) {
          settingValue = settingValue.slice(1);
        }
        prevState.service[action.payload] = settingValue;
        return prevState;
      }
    case 'SHOW_ARCHIVE':
      {
        const archiveState = { ...state };
        archiveState.showArchivedProjects = !action.payload;
        return archiveState;
      }
    case 'SORT_PROJECTS':
      {
        const sortState = { ...state };
        sortState.sortField = action.payload;
        return sortState;
      }
    default:
      return state;
  }
}
